Robotsystem from Robot Group Leipzig: SimplePhysicalComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# SimplePhysicalComponent Class Reference

`#include <component.h>`

Inheritance diagram for SimplePhysicalComponent:

[legend]
Collaboration diagram for SimplePhysicalComponent:

[legend]
List of all members.

## Detailed Description

SimplePhysicalComponent.

Definition at line 230 of file component.h.

## Public Member Functions
| SimplePhysicalComponent (OdeHandle &r_ode_handle, dBodyID _body_id=NULL, dGeomID _geom_id=NULL)
void | set_body_id (dBodyID _body_id)
dBodyID | get_body_id () const
virtual void | set_geom_id (dGeomID _geom_id)
virtual dGeomID | get_geom_id () const
virtual const IComponent * | does_contain_geom (const dGeomID _geom_id, bool b_recursive) const
virtual bool | collision_callback (OdeHandle *p_ode_handle, dGeomID geom_id_0, dGeomID geom_id_1) const
virtual void | draw () const
## Protected Attributes
dBodyID | body_id
dGeomID | geom_id

## Constructor & Destructor Documentation

SimplePhysicalComponent | ( | OdeHandle & | r_ode_handle,
|  | dBodyID | _body_id = `NULL`,
|  | dGeomID | _geom_id = `NULL`
| ) |

## Member Function Documentation

virtual bool collision_callback | ( | OdeHandle * | p_ode_handle,
|  | dGeomID | geom_id_0,
|  | dGeomID | geom_id_1
| ) | const`[virtual]`

| Implements IComponent.

virtual const IComponent* does_contain_geom | ( | const dGeomID | _geom_id,
|  | bool | b_recursive
| ) | const`[virtual]`

| Reimplemented from AbstractComponent.

virtual void draw | ( |  | ) | const`[virtual]`

| Implements IComponent.

dBodyID get_body_id | ( |  | ) | const

virtual dGeomID get_geom_id | ( |  | ) | const`[virtual]`

void set_body_id | ( | dBodyID | _body_id | ) |

virtual void set_geom_id | ( | dGeomID | _geom_id | ) | `[virtual]`

## Member Data Documentation

dBodyID body_id`[protected]`

| Definition at line 232 of file component.h.

dGeomID geom_id`[protected]`

| Definition at line 233 of file component.h.